PRUNEHISTORY(8)

NAME
prunehistory - remove file names from Usenet history file

SYNOPSIS
prunehistory [ -f filename ] [ -p ]

DESCRIPTION
Prunehistory modifies the history(5) text file to ``remove'' a set of filenames from it. The filenames are removed by overwriting them with spaces, so that the size and position of any following entries does not change.

Prunehistory reads the standard input. The input is taken as a set of lines. Blank lines and lines starting with a number sign (``#'') are ignored. All other lines are should consist of a Message-ID followed by zero or more filenames.

The Message-ID is used as the dbz(3) key to get an offset into the text file. If no filenames are mentioned on the input line, then all filenames in the text are ``removed.'' If any filenames are mentioned, they are converted into the history file notation. If they appear in the line for the specified Message-ID then they are removed.

Since innd(8) only appends to the text file, prunehistory does not need to have any interaction with it.

OPTIONS

-p  Prunehistory will normally complain about lines that do not follow the correct format. If the ``-p'' flag is used, then the program will silently print any invalid lines on its standard output. (Blank lines and comment lines are also passed through.) This can be useful when prunehistory is used as a filter for other programs such as reap.

-f  The default name of the history file is <pathdb in inn.conf>/history; to specify a different name, use the ``-f'' flag.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
dbz(3), history(5), inn.conf(5), innd(8).